// Copyright 1993 by Jon Dart.  All Rights Reserved.

#ifndef _PROMOTION_H
#define _PROMOTION_H

#include <wpp.h>
#include <wpdlg.h>

#define IDP_PROMOTETO 101
#define IDP_QUEEN 102
#define IDP_ROOK 103
#define IDP_BISHOP 104
#define IDP_KNIGHT 105

struct PromotionOption
{
   int piece;
};

class PromotionDialog : public WPDialogModal
{
    // handles the Promotion dialog box

public:

    PromotionDialog(WPWin *pwin, PromotionOption *option) 
    : WPDialogModal("Promotion",pwin, ControlMap, option)
    {
       createWin();	     
    }
    
    void initDlg()
    {
    }
    
private:
    static WPControlMap ControlMap[];

};

#endif